<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Catalogue</title>
    <!-- ======= Styles ====== -->
    <link
    href="https://unpkg.com/boxicons@2.0.7/css/boxicons.min.css"
    rel="stylesheet"
  />
    <link rel="stylesheet" href="dash.css" />
    <link rel="stylesheet" href="catalogue.css">

  </head>

  <body>
    <!-- =============== Navigation ================ -->
    <div class="container">
      <div class="navigation">
        <ul>
          <li>
            <a href="dash.html">
              <span class="logo" >
                <!-- <ion-icon name="logo-apple"></ion-icon> -->
                <img src="logo.png" alt="image" style="height: 80px; width: 80px;  margin: 3px;" />
              </span>
              <p class="logo_name" 
              style="text-align: center; padding-top: 15px; font-size: 18px; color:#000; opacity: 100%; margin-right: 20px; font-weight: bold; font-size: 0.9rem; letter-spacing: 1px;">
              <span><b>I</b></span>nventory <span><b>M</b></span>anagement <span><b>S</b></span>ystem 
            </p>
            </a>
          </li>

          <a href="dash.html" class="nav">
            <div class="nav-link">
            <li>
             
              <div>
                  <span class="icon">
                  <ion-icon name="home-outline"></ion-icon>
                </span>
                <span class="title">Dashboard</span>
              </div>
              
            </li>
          </div>
         </a>

          <a href="catalogue.html" class="nav">
            <div class="nav-link">
              <li>
             
                  <span class="icon">
                    <ion-icon name="grid-outline"></ion-icon>
                  </span>
                  <span class="title">Catalogue</span>
                
              </li>
            </div>
          </a>

          <a href="users.html" class="nav">
            <div class="nav-link">
              <li>
               
                  <span class="icon">
                    <ion-icon name="people-outline"></ion-icon>
                  </span>
                  <span class="title">Users</span>
                
              </li>
            </div>
          </a>

        <a href="requests.html" class="nav">
          <div class="nav-link">
            <li>
              
                <span class="icon">
                  <ion-icon name="git-pull-request-outline"></ion-icon>
                </span>
                <span class="title">Requests</span>
              
            </li>
          </div>
        </a>

          
    <a href="login.html" class="nav">
      <div class="nav-link">
        <li>
          
            <span class="icon">
              <ion-icon name="log-out-outline"></ion-icon>
            </span>
            <span class="title">Sign Out</span>
         
        </li>
       </div>
       </a>
      </ul>
    </div>

      <!-- ========================= Main ==================== -->
      <div class="main">
        <div class="topbar" style="margin-left: -3px;">
          <div class="toggle">
            <ion-icon name="menu-outline"></ion-icon>
          </div>

          <div class="search">
            <label>
              <input type="text" placeholder="Search here" />
              <ion-icon name="search-outline"></ion-icon>
            </label>
          </div>
          <a href="addAdmin.html">
            <div class="user">     
                  <img src="kc.jpg" alt="" />
            </div>
          </a>
        </div>

        <!-- ============================Catalogue Catageries========================= -->

        <div class="catagories">
            <div class="card-container">
               <div class="card-left">
                <div class="card1">
                  <a href="furniture.html">
                    <img src="furniture.jpg" alt="Card 3">
                  </a>
                   <div class="card-label">
                    <a href="furniture.html">Furniture</a>
                    <ion-icon name="create-outline" id="edit"></ion-icon>
                    <ion-icon name="trash-outline" id="delete" onclick="delete_(this)"></ion-icon>
                   </div>
                </div>
              </div>
              <div class="card-left">
                <div class="card2">
                  <a href="stationery.html">
                    <img src="stationery.jpg" alt="Card 3">
                  </a>
                    <div class="card-label">
                      <a href="stationery.html">Stationery</a>
                      <ion-icon name="create-outline" id="edit"></ion-icon>
                      <ion-icon name="trash-outline" id="delete"></ion-icon>
                  </div>
                </div>
              </div>
               </div>
    
              <div class="card-container">
                <div class="card-right">
                    <div class="card1">
                      <a href="hardware.html">
                        <img src="hardware.jpg" alt="Card 3">
                      </a>
                        <div class="card-label">
                          <a href="hardware.html">Hardware</a>
                          <ion-icon name="create-outline" id="edit"></ion-icon>
                          <ion-icon name="trash-outline" id="delete"></ion-icon>
                      </div>
                      </div>    
                </div>
                <div class="card-right">
                    <div class="card2">
                      <a href="electronics.html">
                        <img src="electronics.jpg" alt="Card 3">
                      </a>
                        <div class="card-label">
                          <a href="electronics.html">Electronics</a>
                          <ion-icon name="create-outline" id="edit"></ion-icon>
                          <ion-icon name="trash-outline" id="delete"></ion-icon>
                      </div>
                    </div>
                </div>
              </div>
              <div id="container"></div>
              <!-- <div id="icon-container"></div> -->

              <h2 style="text-align: left; margin-bottom: 2%; margin-left: 80px;"><b> Create New Category Here ↓</b></h2>
  
              <div style=
              "background-color: bisque;
               padding-top: 20px; 
               width: max-content; 
               margin-bottom: 20px;
               border-radius: 25px;
               border: 2px solid #272525;
               padding: 2%;
               margin-left: 80px;"
              >
                <script class="jsbin" src="https://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"></script>
                <div class="file-upload">
                  <button class="file-upload-btn" type="button" onclick="$('.file-upload-input').trigger( 'click' )">Add Image</button>
                
                  <div class="image-upload-wrap">
                    <input class="file-upload-input" id="imageUrl" type='file' onchange="readURL(this);" accept="image/*" />
                    <div class="drag-text">
                      <h3>Drag and drop a file <br> or click add Image</h3>
                    </div>
                  </div>
                  <div class="file-upload-content">
                    <img class="file-upload-image" src="#" alt="your image" />
                    <div class="image-title-wrap">
                      <button type="button" onclick="removeUpload()" class="remove-image">Remove <span class="image-title">Uploaded Image</span></button>
                    </div>
                  </div>
                </div>
                  <div class="inputs-button" style=" height: 200px; width: 100%; margin-left: 88px; ">
                    <div >
                      <input class="category-name" id="text" type="text" placeholder="Category Name" >
                  
                    </div>
                    <div class="row-form-action-buttons" style=" height: 60px;">
                      <input type="submit" value="ADD" onclick="createNewDiv(reader.result)"  style="height: 40px;font-size: 20px; margin-left: 250px;">
                    </div>
                  </div>



                  
              </div>
            </div>  
           
            </body>
            
            <script src="catalogue.js"></script>


            </div>
        </div>
      </div>



    <!-- =========== Scripts =========  -->
    <script src="dash.js"></script>
   

    
    <!-- ====== ionicons ======= -->
    <script
      type="module"
      src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.esm.js"
    ></script>
    <script
      nomodule
      src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.js"
    ></script>
  </body>
</html>
